Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: João Távora <[email-masked]>
Date: Sat, 8 Apr 2023 16:23:08 +0100

On Sat, Apr 8, 2023 at 3:49 PM Ihor Radchenko <[email-masked]> wrote:
>
> João Távora <[email-masked]> writes:
>
> > Alternatively, there could be some kind of 'package-bugfixes' non-:core
> > package in elpa.git that adds this new command. Asking people to install
> > that package first is still easier than guiding then through that odd
> > workflow.
>
> I think that adding this into compat.el could be also justified.
> With compat.el being ELPA dependency.

But compat.el is not :core right?  So Eglot cannot depend on it.

Also I think that's a bit beyond the purpose of compat, though
I don't oppose it. I really think package.el, like other package
managers, should learn to update itself.  It should be a :core
ELPA package itself.  But then that also requires this bug to
be fixed.

João